jQuery(function ($) {
	var navLocked = false;
	$('.nav > li > a').click(function (e) {
		if ($(this).siblings('ul').length) {
			e.preventDefault();
			e.stopPropagation();
			if ($(this).hasClass('active')) {
				if ($(this).hasClass('current')) {
					return false;
				}
				var that = $(this);
				if (navLocked) return false;
				navLocked = true;
				that.addClass('moveable').next('ul').animate({
					top: 0
				}, 300, function () {
					that.removeClass('active').removeClass('moveable');
					var current = $('.nav a.current');
					if (current.length) {
						current.addClass('moveable').addClass('active').next('ul').css('top', 0).animate({
							top: '36px'
						}, 300, function () {
							current.removeClass('moveable');
							navLocked = false;
						});
					} else {
						navLocked = false;
					}
				});
				//$(this).removeClass('active');
			} else {
				var that = $(this);
				if (navLocked) return false;

				function doExpand() {
					navLocked = true;
					//if (!that.hasClass('current')) {
						that.addClass('moveable').addClass('active').next('ul').css('top', '0').animate({
							top: '36px'
						}, 300, function () {
							that.addClass('active');
							that.removeClass('moveable');
							navLocked = false;
						});
					//}
				}

				if ($('.nav a.active').length) {
					navLocked = true;
					$('.nav a.active').addClass('moveable').next('ul').animate({
						top:0
					}, 300, function () {
						$('.nav a.active').removeClass('active').removeClass('moveable');
						navLocked = false;
						doExpand();
					});
				} else {
					doExpand();
				}

				/*
				$('.nav a.active').removeClass('active');

				if (!$(this).hasClass('current')) {
					$(this).addClass('active');
				}
				*/
			}
			return false;
		}
	})
});